# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

# If you want to disable any message just set it to nothing. by doing
# list: "" <- This will no longer send a message.


# every singe message in the plugin is here.
# make sure you use "" to end of every string
# Also you can use colour codes <3

# To use hex color codes you will need to do
# "{#HEX} text"

lang:
  console-name: "&dServer Warp"
  console-uuid: "f78a4d8d-d51b-4b39-98a3-230f2de0c670"
  cancel-chat-wait: "Abbrechen"
  chat-wait-cancelled: "&cCancelled your request!"
  friendly-max-warps: "Unbegrenzt"
  prefix: "&b&lPW &7»"
  list: "%prefix% &bAktuelle Warps &d(%page%&b/&d%pages%&b):&d\n* %list%\n%previous%      %next%"
  list-format: "[warp]"
  list-none: "%prefix% &bAktuelle Warps: &cNone"
  list-hover: "&bKlick zum Teleportieren zu &d[warp]"
  list-split: "\n* "
  list-previous: "←"
  list-previous-hover: "&bVorherige Seite"
  list-next: "→"
  list-next-hover: "&bNächste Seite"
  placeholder-none: "&cKeine"
  warp-removed: "%prefix% &aDein Warp wurde entfernt!"
  teleported: "%prefix% &aTeleportiert zu &d%warp_display%&a!"
  someone-teleported: "%prefix% &d%player%&a wurde Teleportiert zu &d%warp_display%&a!"
  warp-set-confirmation: "%prefix% &aSetting %name% warp will cost you &d$%price%&a, do the command again to confirm."
  warp-teleport-confirmation: "%prefix% &aTeleporting to %warp_display% will cost you $%price%, do the command again to confirm."
  warp-remove-confirmation: "%prefix% &aMöchtest du den Warp namens %warp_display% wirklich löschen? Wiederhole es zum bestätigen."
  warp-set: "%prefix% &aDein Spieler Warp wurde erstellt mit dem namen &d%name%&a!"
  reloaded: "%prefix% &aAlle Konfigurationen erfolgreich neu geladen!"
  currency-taken: "%prefix% &a%price% wurde von deinem Konto abgebucht."
  items-taken-set: "%prefix% &aDiamanten wurden aus deinem Inventar genommen."
  items-taken-teleport: "%prefix% &aDiamanten wurden aus deinem Inventar genommen."
  teleporting-dont-move: "%prefix% &aTeleportiere zu &d%warp_display%&a in &d%time%&a sekunden!"
  desc-set-success: "%prefix% &aDie Beschreibung wurde auf &d%desc%&a festgelegt, für den Warp &d%warp_display%!"
  desc-remove-success: "%prefix% &aDie Beschreibung für den Warp &d%warp_display% &awurde entfernt!"
  given-more-warps-success: "%prefix% &aSuccessfully given &d%player%&a an extra of &d%extra%&a warps and a total of &d%total%&a!"
  set-warp-icon: "%prefix% &aDas neue Icon wurde gesetzt vom Warp &d%warp_display%'s&a zu &d%icon%&a!"
  removed-warp-icon: "%prefix% &aDas Icon für den Warp &d%warp_display%'s&a wurde entfernt!"
  category-set: "%prefix% &aDu hast die Kategorie vom Warp &d%warp_display%'s&a erfolgreich zu &d%category%&a gewechselt!"
  category-remove: "%prefix% &aDie Kategorie vom Warp &d%warp_display%'s&a wurde entfernt!"
  rate-set: "%prefix% &aDu hast &d%warp_display%&a mit einer &d%rate%&a bewertet!"
  rate-set-desc: "%prefix% &aYou have successfully rated a &d%rate%&a (&d%description%&a) for &d%warp_display%&a!"
  warps-removed: "%prefix% &aErfolgreich! &d%player%'s&a have been warp removed!"
  warp-locked: "%prefix% &aDer Warp &d%warp_display%&a wurde erfolgreich gesperrt!"
  warp-unlocked: "%prefix% &aDer Warp &d%warp_display%&a wurde erfolgreich entsperrt!"
  warp-cost-set: "%prefix% &aDie Warpkosten wurden auf &d$%cost%&a gesetzt!"
  warp-cost-removed: "%prefix% &aDie Warpkosten wurden entfernt!"
  successfully-reset-warp: "%prefix% &aDer Warp Spawnpunkt wurde geändert!"
  successfully-renamed-warp: "%prefix% &aDer Warp Name wurde zu &d%warp_display%&a geändert!"
  successfully-setowner: "%prefix% &aEigentumsrechte wurden auf den Spieler &d%owner%&a übertragen!"
  successfully-banned: "%prefix% &aSuccessfully banned &d%player%&a from &d%warp_display%&a (&d%reason%&a) for &d%time%&a!"
  added-manager: "%prefix% &aDer Spieler &d%player%&a wurde zum Manager vom Warp &d%warp_display%&a hinzugefügt!"
  successfully-unbanned: "%prefix% &aDer Spieler &d%player%&a wurde vom Warp &d%warp_display%&a entbannt"
  removed-manager: "%prefix% &aDer Spieler &d%player%&a wurde vom Manager vom Warp &d%warp_display%&a entfernt!"
  successfully-whitelisted: "%prefix% &aDer Spieler &d%player%&a ist nun gewhitelistet beim Warp &d%warp_display%&a!"
  whitelist-not-enabled: "%prefix% &cWarning, the whitelist is not enabled for &d%warp_display%&c, if you wish to actually enable it do /pwarp whitelist enable %warp_display%!"
  successfully-disabled-whitelist: "%prefix% &aSuccessfully disabled the whitelist for &d%warp_display%&a!"
  successfully-enabled-whitelist: "%prefix% &aSuccessfully enabled the whitelist for &d%warp_display%&a!"
  successfully-unwhitelisted: "%prefix% &aDer Spieler &d%player%&a ist nun nicht mehr gewhitelistet beim Warp &d%warp_display%&a!"
  new-owner: "%prefix% &d%player%&a hat dich gerade zum Besitzer vom Warp &d%warp_display%&a gesetzt!"
  pass-set-success: "%prefix% &aEs wurde ein Passwort für den Warp &d%warp_display%&a gesetzt!"
  pass-remove-success: "%prefix% &aDas passwort für den Warp &d%warp_display%&a wurde entfernt!"
  require-password: "%prefix% &cDieser Warp erfordert ein Passwort zum Teleportieren. Bitte gebe das Passwort ein!"
  rent: "%prefix% &aDu hast die Miete erfolgreich bezahlt für &d%warp_display%&a!"
  rent-reminder: "%prefix% &cDies ist eine Erinnerung daran, dass du in &d%time% &cdie Miete für deinen &d%warp_display% &cWarp zahlen musst."
  banned-list: "%prefix% &bGesperrte Spieler: &d%list%"
  managers-list: "%prefix% &bManagers: &d%list%"
  category-list: "%prefix% &bCategories: &d%list%"
  whitelisted-list: "%prefix% &bGewhitelistete Spieler: &d%list%"
  rate-notify: "%prefix% &d%player%&a hat gerade deinen Warp bewertet &d%warp_display% %rate%&a (&d%description%&a) Sternen!"
  favourite-warp: "%prefix% &aDer Warp &d%warp_display%&a wurde auf deiner Favoritenliste hinzugefügt!"
  unfavourite-warp: "%prefix% &aDer Warp &d%warp_display%&a wurde von deiner Favoritenliste entfernt!"
  sponsored-warp: "%prefix% &aDu hast erfolgreich diesen Sponsor-Slot gekauft!"
  current-amount-of-warps:
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
  - "%prefix% &bDu hast momentan ein maximum von &d%warpsmax%&b (&d%staticwarps% static&b) warps."
  - "%prefix% &bDu hast momentan &d%warpsused%&b aktive warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
  current-amount-of-warps-other:
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
  - "%prefix% &d%player%&b hat momentan ein maximum von &d%warpsmax%&b (&d%staticwarps% static&b) warps."
  - "%prefix% &d%player%&b hat momentan &d%warpsused%&b aktive warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
  amount-warps-others-alert: "&c%player% ist derzeit offline und zeigt seine maximalen Warps nur als statischen Wert an."
  locked-gui: "&c&lGesperrt"
  unlocked-gui: "&a&lEntsperrt"
  no-password-gui: "&a&lNo Password"
  has-password-gui: "&c&lHas Password"
  offline-title: "%prefix% &bWährend du offline warst..."
  sent-setowner: "%prefix% &aSuccessfully sent a setowner request to &d%player%&a for &d%warp_display%&a!\n%prefix% &aTo cancel this request type &d/pwarp setowner cancel %warp_display%&a!"
  received-setowner: "%prefix% &aYou've received a setowner request from &d%player%&a for &d%warp_display%&a!\n%prefix% &aPlease type &d/pwarp setowner accept %warp_display%&a to accept."
  cancelled-setowner: "%prefix% &aSuccessfully cancelled the setowner request for &d%player%&a!"
  sent-expired-setowner: "%prefix% &cYour setowner request sent to %player% for %warp_display% has expired."
  received-expired-setowner: "%prefix% &cYour setowner request for %warp_display% from %player% has expired."
  dbexec-successful: "%prefix% &aSuccessfully updated &d%count%&a rows. &aPlease execute &d/%cmd% reload&a to update changes."
  removed-rating: "%prefix% &aSuccessfully removed rating for &d%warp_display%&a!"
  warp-info: "%prefix% &bWarp Information for &d%warp_display%&b:\n%prefix% &bOwner: &d%owner%\n%prefix% &bLocation: &d%world%, %location%\n%prefix% &bVisits: &d%visits%\n%prefix% &bDescription:\n%prefix% &d%desc%\n%prefix% &bTime Created: &d%date%\n%prefix% &bCategory: &d%category%\n%prefix% &bRates: &d%rates%\n%prefix% &bRates Average: &d%rates_average% &7(&e%rates_stars%&7)\n%prefix% &bTeleport Cost: &d%cost%"
  refunded-currency: "%prefix% &aYou have been refunded."
  
  # the help menu for a player
  # The variable %cmd% is any command from the config.yml :)
  help-player:
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &Zeigt dieses Menü an."
  - "%prefix% &d/%cmd% <warp> &7&l- &bTeleportiert zum Spieler-Warp."
  - "%prefix% &d/%cmd% set <name> &7&l- &bSetzt einen Warp zu deinem Standort."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &bEntfernt den Warp."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &bEntfernt all deine Warps."
  - "%prefix% &d/%cmd% desc set/remove <warp> <desc> &7&l- &bWarp beschreibung."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &bListe aller aktiven Spieler Warps."
  - "%prefix% &d/%cmd% open [menu] [options] &7&l- &bÖffnet das Player-Warp Menü."
  - "%prefix% &d/%cmd% amount &7&l- &bÜberprüfe, wie viele Warps du hast."
  - "%prefix% &d/%cmd% reload &7&l- &bLädt alle Konfigurationsdateien neu."
  - "%prefix% &d/%cmd% icon set/remove <warp> &7&l- &bSetze ein Warp-Icon fest."
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &bFüge einem Spieler per Befehl weitere Warps hinzu."
  - "%prefix% &d/%cmd% category set/remove/list <warp> [category] &7&l- &bSet a warp category."
  - "%prefix% &d/%cmd% rate <warp> <rate> &7&l- &bBewerte einen Warp."
  - "%prefix% &d/%cmd% ban set/remove/list <warp> [player] [time] [reason] &7&l- &bWarp bans."
  - "%prefix% &d/%cmd% reset <warp> &7&l- &bÄndere den Warp Spawnpunkt."
  - "%prefix% &d/%cmd% rename <warp> <name> &7&l- &bÄndere den namen eines Warps."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &bEigentum übertragen."
  - "%prefix% &d/%cmd% favourite <warp> &7&l- &bFüge einen Warp zu deiner Favoritenliste hinzu."
  - "%prefix% &7&l&m----------&7&l[ &b&lSpieler Warps &7&l]&m----------"
    # This is useful for if you want to sell warp amounts on your store, but what happens if a player already has 5 warps?
    # This just simply gives them more warps. For example if a player has 10 warps (pw.limit.10) and you do /pw addwarps *player* 10. They will now have 20 warps.

  # the help menu for console
  # The variable %cmd% is any command from the config.yml :)
  help-console:
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &bDisplays this menu."
  - "%prefix% &d/%cmd% open [menu] [options] &7&l- &bOpens the player warp gui."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &bRemoves the warp."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &bLists all the current player warps."
  - "%prefix% &d/%cmd% reload &7&l- &bReloads all the config files"
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &bAdd more warps to a player via command."
  - "%prefix% &d/%cmd% category set/remove/list <warp> [category] &7&l- &bSet a warp category."
  - "%prefix% &d/%cmd% ban set/remove/list <warp> [player] [time] [reason] &7&l- &bWarp bans."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &bRemoves all players warps."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &bTransfer ownership."
  - "%prefix% &d/%cmd% dbexec <query> &7&l- &bExecute a query."
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
    # This is useful for if you want to sell warp amounts on your store, but what happends if a player already has 5 playerwarps.
    # This just simply gives them more warps. For example if a player has 10 warps (pw.limit.10) and you do /pw addwarps *player* 10. They will now have 20 warps.

  # error messages.
  errors:
    command-syntax: "%prefix% &cFehlerhafte Syntax, benutze:\n%syntax%"
    player-only: "%prefix% &cDu musst ein Spieler sein!"
    console-only: "%prefix% &CDieser Befehl kann nur von der Konsole aus ausgeführt werden!"
    name-too-long-set: "%prefix% &cDu kannst deinen Warp-Namen nicht länger als &4%max%&c Zeichen haben!"
    desc-too-long-set: "%prefix% &cDu kannst deine Warp-Beschreibung nicht länger als &4%max%&c Zeichen haben!"
    rate-too-long-set: "%prefix% &cYou cannot have a rate longer than &4%max%&c characters!"
    pass-too-long-set: "%prefix% &cDu kannst dein Passwort nicht länger als &4%max%&c Zeichen haben!"
    reason-too-long-set: "%prefix% &cYou cannot have a ban reason longer than &4%max%&c characters!"
    name-too-short-set: "%prefix% &cDu kannst deinen Warp-Namen nicht shorter als &4%min%&c Zeichen haben!"
    desc-too-short-set: "%prefix% &cDu kannst deine Warp-Beschreibung nicht shorter als &4%min%&c Zeichen haben!"
    rate-too-short-set: "%prefix% &cYou cannot have a rate shorter than &4%min%&c characters!"
    pass-too-short-set: "%prefix% &cDu kannst dein Passwort nicht shorter als &4%min%&c Zeichen haben!"
    reason-too-short-set: "%prefix% &cYou cannot have a ban reason shorter than &4%min%&c characters!"
    rate-too-big: "%prefix% &cYou cannot rate a warp above &45&c!"
    already-rated: "%prefix% &cYou have already rated this warp!"
    not-a-number: "%prefix% &cDas ist keine Zahl!"
    no-page: "%prefix% &cDiese Seite existiert nicht!"
    invalid-name-set: "%prefix% &cDu kannst keinen Spieler-Warp namens &4%name%&c setzen!"
    invalid-desc-set: "%prefix% &cDu kannst die beschreibung auf &4%desc%&c nicht festlegen!"
    name-taken-set: "%prefix% &cDieser Warpname ist bereits vergeben!"
    valid-name-set: "%prefix% &cBitte gebe einen gültigen Namen für deinen Warp ein!"
    warp-dont-own: "%prefix% &cDu besitzt diesen Warp nicht!"
    warp-dont-exist: "%prefix% &cDiese Warp existiert nicht!"
    invalid-warp: "%prefix% &cDas ist kein gültiger Warp."
    no-permission: "%prefix% &cDu hast nicht die Rechte &4%permission%&c um das zu tun! %reason%"
    too-many-warps-set: "%prefix% &cYou cannot set this many warps you can only set &4%amount%&c due to your permissions/static amount!"
    limit-setowner: "%prefix% &cDer Warp %warp_display% konnte nicht übertragen werden, weil der Spieler bereits zu viele Warps hat!"
    already-setowner: "%prefix% &cDu hast bereits eine ausstehende Anfrage für %warp_display%"
    not-setowner: "%prefix% &cDu hast keine Eigentümer Anfrage für diesen Warp!"
    warp-not-safe: "%prefix% &cDieser Warp ist nicht sicher. Wenn du dich trotzdem Teleportieren möchtest, wiederhole es."
    money-not-enough-teleport: "%prefix% &cDu hast nicht genug Geld $%price% um dich zu diesem Warp zu teleportieren!"
    money-not-enough-reset: "%prefix% &cDu hast nicht genug Geld $%price% um deinen Warp Spawnpunkt zu ändern!"
    money-not-enough-rename: "%prefix% &cDu hast nicht genug Geld $%price% zum umbennen deines Warps!"
    money-not-enough-set: "%prefix% &cDu hast leider nicht genug Geld $%price% um diesen Warp zu erstellen!"
    money-not-enough-sponsor: "%prefix% &cDu hast leider nicht genug Geld $%price% um diesen Warp zu Sponsoren!"
    moved-while-teleporting: "%prefix% &cDer Teleport wurde abgebrochen weil du dich bewegt hast!"
    desc-no-desc-gui: "&cKeine"
    desc-no-desc: "%prefix% &c%warp_display% hat keine Beschreibung!"
    cost-no-cost: "%prefix% &c%warp_display% hast keine Teleportkosten!"
    pass-no-pass: "%prefix% &c%warp_display% hat kein Passwort!"
    disabled-world-set: "%prefix% &cDu kannst in dieser Welt keine Warps erstellen!"
    disabled-world-teleport: "%prefix% &cDu kannst dich in dieser Welt zu keinen Warps teleportieren!"
    player-offline: "%prefix% &cDieser Spieler ist offline!"
    invalid-item: "%prefix% &cDas ist kein gültiges Item, auf dass du dein Warp-Icon setzen kannst."
    invalid-category: "%prefix% &cThat is a invalid category"
    warp-already-in-category: "%prefix% &cThat warp is already in that category!"
    warp-not-in-category: "%prefix% &cThat warp is not in that category!"
    no-player-joined: "%prefix% &cDieser Spieler existiert nicht!"
    set-cooldown: "%prefix% &cDu hast derzeit eine Abklingzeit für das Setzen von Warps! (%cooldown% verbleiben)"
    rate-cooldown: "%prefix% &cDu hast derzeit eine Abklingzeit für das Bewerten von Warps! (%cooldown% verbleiben)"
    teleport-cooldown: "%prefix% &cDu hast derzeit eine Abklingzeit zum Teleportieren! (%cooldown% verbleiben)"
    teleport-warp-locked: "%prefix% &cDer Warp ist momentan gesperrt!"
    rate-own-warp: "%prefix% &cDu kannst deinen eigenen Warp nicht bewerten!"
    rate-condition: "%prefix% &cDu erfüllst nicht die Anforderungen um diesen Warp Bewerten zu können!"
    already-owner: "%prefix% &cDu bist bereits der Eigentümer dieses Warps!"
    already-teleporting: "%prefix% &cDu Teleportierst dich bereits zu einem Warp!"
    wrong-password: "%prefix% &cDas Passwort ist nicht korrekt!"
    not-whitelisted: "%prefix% &cDu kannst dich nicht zu diesem Warp teleportieren weil du nicht auf der whitelist bist. :("
    not-same-world: "%prefix% &cDu kannst nicht zu diesem Warp teleportieren!"
    rent: "%prefix% &cDu hast die Miete für %warp_display% nicht bezahlt, der Warp wurde jetzt entfernt!"
    banned: "%prefix% &cSorry, the owner has banned you with the reason: &4%reason%&c for &4%time%&c. Tough times :("
    owner-ban: "%prefix% &cDu kannst dich nicht selbst sperren!"
    already-banned: "%prefix% &cDieser Spieler ist bereits gesperrt!"
    already-manager: "%prefix% &cDieser Spieler ist bereits ein Manager!"
    not-banned: "%prefix% &cDieser Spieler ist nicht gesperrt!"
    not-manager: "%prefix% &cDieser Spieler ist kein Manager!"
    max-cost: "%prefix% &cTut mir leid, die maximal einstellbaren Kosten sind %max%!"
    min-cost: "%prefix% &cTut mir leid, die Mindestkosten, die Sie festlegen können, sind %min%!"
    already-whitelisted: "%prefix% &cDieser Spieler ist bereits auf der Whitelist!"
    already-sponsored: "%prefix% &cDu hast diesen Warp bereits gesponsert!"
    max-sponsors: "%prefix% &cDu kannst nicht mehr als einen Warp Sponsorn!"
    change-location-sign: "%prefix% &cDu kannst die Position eines Schild Warps nicht ändern!"
    dbexec-failed: "%prefix% &cEs ist ein Fehler aufgetreten, am besten kontaktierst du ein Team Mitglied. %error%"
    already-sponsored-other: "%prefix% &cSomeone has already purchased this sponsor slot!"
    warp-max-categories: "%prefix% &cYou cannot have more than %max% categories!"
    sponsor-cooldown: "%prefix% &cYou cannot sponsor this warp for another %time%!"
    sponsor-restricted-category: "%prefix% &cYou cannot sponsor this warp in this slot. It is restricted to specific categories!"

# Here you can specify different types of messages per no-permission message, using the specific permission node.
# Or you may set it to blank to not send a message at all.
# no-permission:
#   pw.warp: "You do not have permission to warp!"

n/a:
  no-prefix: "N/A"
  no-suffix: "N/A"
  no-server: "N/A"
  no-password: "N/A"
  no-user: "N/A"
  no-payer: "N/A"
  no-ban-reason: "N/A"
  no-time: "Forever"
  no-warp: "N/A"
  no-category: "N/A"
  no-managers: "N/A"
  no-displayname: "%player%"
